org.keycloak.models.entities

## Class ComponentEntity

- java.lang.Object
- - org.keycloak.models.entities.AbstractIdentifiableEntity
  - - org.keycloak.models.entities.ComponentEntity

-     public class ComponentEntity
      extends AbstractIdentifiableEntity

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Map<String,List<String>>` | `config`
    `protected String` | `name`
    `protected String` | `parentId`
    `protected String` | `providerId`
    `protected String` | `providerType`

    - ### Fields inherited from class org.keycloak.models.entities.AbstractIdentifiableEntity

      `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ComponentEntity()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<String,List<String>>` | `getConfig()`
    `String` | `getName()`
    `String` | `getParentId()`
    `String` | `getProviderId()`
    `String` | `getProviderType()`
    `void` | `setConfig(Map<String,List<String>> config)`
    `void` | `setName(String name)`
    `void` | `setParentId(String parentId)`
    `void` | `setProviderId(String providerId)`
    `void` | `setProviderType(String providerType)`

    - ### Methods inherited from class org.keycloak.models.entities.AbstractIdentifiableEntity

      `equals, getId, hashCode, setId, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### name

          protected String name

    - #### providerType

          protected String providerType

    - #### providerId

          protected String providerId

    - #### parentId

          protected String parentId

    - #### config

          protected Map<String,List<String>> config

  - ### Constructor Detail

    - #### ComponentEntity

          public ComponentEntity()

  - ### Method Detail

    - #### getName

          public String getName()

    - #### setName

          public void setName(String name)

    - #### getProviderType

          public String getProviderType()

    - #### setProviderType

          public void setProviderType(String providerType)

    - #### getProviderId

          public String getProviderId()

    - #### setProviderId

          public void setProviderId(String providerId)

    - #### getParentId

          public String getParentId()

    - #### setParentId

          public void setParentId(String parentId)

    - #### getConfig

          public Map<String,List<String>> getConfig()

    - #### setConfig

          public void setConfig(Map<String,List<String>> config)

Copyright © 2016 JBoss by Red Hat. All rights reserved.